{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header card-header-info">
                    <h4 class="card-title"><b>Alterar dados do desaparecido</b></h4>
                    <p class="card-title"><b>Todos os campos que possuem (*) são requeridos para o cadastro</b></p>
                </div>
                <div class="card-body">
                    {% for disappeared in disappeared_list %}
                        <form action="{{ url_for('missing_controller.update', _id= disappeared._id) }}" method="post"
                              enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <div class="btn btn-info">
                                            <label for="input-file" class="button" style="color: white"> <i
                                                    class="material-icons">camera_alt</i>
                                                Foto do desaparecido</label>
                                            <input type="file" id="input-file" name="file" value=""/>
                                            <span id='file-name'></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="card-avatar" style="text-align: center">
                                        <input type="hidden" name="photo" value="{{ disappeared.photo }}"/>
                                        <img class="img responsive-img avatar" src="{{ disappeared.photo }}">
                                        <p class="card-title">Sua imagem atual</p>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Nome *</label>
                                        <input type="text" required="required" value="{{ disappeared.name }}"
                                               name="name"
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">Apelido</label>
                                        <input type="text" name="nickname" value="{{ disappeared.nickname }}"
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Nascimento *</label>
                                        <input type="text" required="required" value="{{ disappeared.birth_date }}"
                                               data-mask="00/00/0000"
                                               data-mask-selectonfocus="true" name="birth_date"
                                               class="form-control date">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Dia do desaparecimento *</label>
                                        <input type="text" required="required"
                                               value="{{ disappeared.date_of_disappearance }}"
                                               data-mask="00/00/0000"
                                               data-mask-selectonfocus="true" name="date_of_disappearance"
                                               class="form-control date">
                                    </div>
                                </div>
                                <div class="col-md-1">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">Altura</label>
                                        <input type="text" data-mask="0.00"
                                               data-mask-selectonfocus="true" value="{{ disappeared.height }}"
                                               name="height"
                                               class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Olhos *</label>
                                        <select name="eyes" class="form-control">
                                            <option {% if disappeared.eyes == 'green' %} selected="selected" {% endif %}
                                                                                         value="green">Verde
                                            </option>
                                            <option {% if disappeared.eyes == 'blue' %} selected="selected" {% endif %}
                                                                                        value="blue">Azul
                                            </option>
                                            <option {% if disappeared.eyes == 'brown' %} selected="selected" {% endif %}
                                                                                         value="brown">Castanho
                                            </option>
                                            <option {% if disappeared.eyes == 'black' %} selected="selected" {% endif %}
                                                                                         value="black">Pretos
                                            </option>
                                            <option {% if disappeared.eyes == 'dark_brown' %}
                                                selected="selected" {% endif %} value="dark_brown">Castanho Escuro
                                            </option>
                                        </select>
                                        <!--<input type="text" name="nickname" class="form-control">-->
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Cabelo *</label>
                                        <select name="hair" class="form-control">
                                            <option {% if disappeared.hair == 'black' %} selected="selected" {% endif %}
                                                                                         value="black">Preto
                                            </option>
                                            <option {% if disappeared.hair == 'brown' %} selected="selected" {% endif %}
                                                                                         value="brown">Castanho
                                            </option>
                                            <option {% if disappeared.hair == 'redhead' %}
                                                selected="selected" {% endif %}
                                                value="redhead">Ruivo
                                            </option>
                                            <option {% if disappeared.hair == 'blond' %} selected="selected" {% endif %}
                                                                                         value="blond">Loiro
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Pele *</label>
                                        <select name="skin" class="form-control">
                                            <option {% if disappeared.skin == 'white' %} selected="selected" {% endif %}
                                                                                         value="white">Branco
                                            </option>
                                            <option {% if disappeared.skin == 'black' %} selected="selected" {% endif %}
                                                                                         value="black">Negro
                                            </option>
                                            <option {% if disappeared.skin == 'brown' %} selected="selected" {% endif %}
                                                                                         value="brown">Pardo
                                            </option>
                                            <option {% if disappeared.skin == 'yellow' %}
                                                selected="selected" {% endif %}
                                                value="yellow">Amarelo
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Status *</label>
                                        <select name="status" class="form-control">
                                            <option {% if disappeared.status=='missing' %}
                                                selected="selected" {% endif %}
                                                value="disappeared">DESAPARECIDO
                                            </option>
                                            <option {% if disappeared.status=='found' %}
                                                selected="selected" {% endif %}
                                                value="found">ENCONTRADO
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="bmd-label-floating required">Sexo *</label>
                                        <select name="gender" class="form-control">
                                            <option {% if disappeared.gender=='male' %} selected="selected" {% endif %}
                                                                                        value="male">
                                                Masculino
                                            </option>
                                            <option {% if disappeared.gender=='female' %}
                                                selected="selected" {% endif %}
                                                value="female">
                                                Feminino
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">Roupa que vestia</label>
                                        <textarea name="clothes" class="form-control"
                                                  maxlength="80" rows="2">{{ disappeared.clothes }}</textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">BO</label>
                                        <input type="text" value="{{ disappeared.event_report }}" name="event_report"
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">Tatuagem</label>
                                        <input value="{{ disappeared.tattoo_description }}" type="text" name="tattoo"
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="bmd-label-floating">Cicatriz</label>
                                        <input type="text" value="{{ disappeared.scar_description }}" name="scar"
                                               class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12" style="margin-top: 30px">
                                    <h3 style="color: darkred">Local do desaparecimento</h3>
                                </div>
                                <div class="col-md-12">
                                    {% include "mapbox.html" %}
                                </div>
                            </div>
                            <input type="hidden" name="user_id" value="{{ disappeared.user_id }}"/>
                            <button type="submit" class="btn btn-info pull-right">Alterar</button>
                            <div class="clearfix"></div>
                        </form>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var $input = document.getElementById('input-file'),
                $fileName = document.getElementById('file-name');
            $input.addEventListener('change', function () {
                $fileName.textContent = this.value;
            });

            $('.date').blur(function () {
                if (this.value.trim() != '') {
                    let val = this.value.split('/');
                    let date = new Date(val[2], parseInt(val[1]) - 1, val[0]);
                    let today = new Date();
                    if (date > today) {
                        demo.showNotification('top', 'right', 'A data que foi informada está acima da data de hoje', 2);
                        this.value = "";
                        this.focus();
                    }
                }
            });
        });
    </script>
{% endblock %}